﻿using System;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Activated   += Window_Activated;
            Deactivated += Window_Deactivated;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 활성시 처리하기 - Window_Activated(sender, e)

        /// <summary>
        /// 윈도우 활성시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Activated(object sender, EventArgs e)
        {
            this.mediaElement.Play();
        }

        #endregion
        #region 윈도우 비활성시 처리하기 - Window_Deactivated(sender, e)

        /// <summary>
        /// 윈도우 비활성시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Deactivated(object sender, EventArgs e)
        {
            this.mediaElement.Pause();
        }

        #endregion
    }
}